Bug 1126221 - [engine-backend] [iSCSI multipath] It's possible to remove a network from the setup even though it participates in an iSCSI multipath bond
Summary: [engine-backend] [iSCSI multipath] It's possible to remove a network from the...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Virtualization Manager
Classification: Red Hat
Component: ovirt-engine
Version: 3.4.0
Hardware: x86_64
OS: Unspecified
unspecified
high
Target Milestone: ---
: 3.4.2
Assignee: Maor
QA Contact: Elad
URL:
Whiteboard: storage
Depends On: 1094196
Blocks: 1123858
TreeView+ depends on / blocked
 
Reported: 2014-08-03 17:48 UTC by rhev-integ
Modified: 2016-02-10 16:54 UTC (History)
11 users (show)

Fixed In Version: ovirt-engine-3.4.2_av11
Doc Type: Bug Fix
Doc Text:
Clone Of: 1094196
Environment:
Last Closed: 2014-09-04 15:10:19 UTC
oVirt Team: Storage


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2014:1161 normal SHIPPED_LIVE Moderate: Red Hat Enterprise Virtualization Manager 3.4.2 update 2014-09-04 19:09:32 UTC
oVirt gerrit 30913 master MERGED core: Block removing network when it's related to iSCSI bond. Never
oVirt gerrit 30979 ovirt-engine-3.5 MERGED core: Block removing network when it's related to iSCSI bond. Never
oVirt gerrit 30981 ovirt-engine-3.4 MERGED core: Block removing network when it's related to iSCSI bond. Never

Comment 1 Elad 2014-08-11 06:26:28 UTC
An attempt to remove a network that participates in an iSCSI bond is blocked with the following CDA message:

2014-08-11 09:23:49,792 WARN  [org.ovirt.engine.core.bll.network.dc.RemoveNetworkCommand] (ajp-/127.0.0.1:8702-6) [2804a1b7] CanDoAction of action RemoveNetwork failed. Reasons:
VAR__TYPE__NETWORK,VAR__ACTION__REMOVE,NETWORK_CANNOT_REMOVE_ISCSI_BOND_NETWORK,$IscsiBonds    1,$IscsiBonds_COUNTER 1,$NetworkName 1


Verified using rhevm3.4-1v11:
rhevm-3.4.2-0.1.el6ev.noarch

Comment 4 errata-xmlrpc 2014-09-04 15:10:19 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

http://rhn.redhat.com/errata/RHSA-2014-1161.html


Note You need to log in before you can comment on or make changes to this bug.